# -*- coding: utf-8 -*-

from django.shortcuts import render
from django.core.paginator import Paginator, EmptyPage, PageNotAnInteger

from revelar.models import *

def index(request, exp_id):
    exp = Experiencia.objects.get(pk=exp_id)
    titulo = exp.atividade.tema.texto.titulo
    conteudo = exp.atividade.tema.texto.conteudo
    tags = [t.nome for t in exp.atividade.tema.tags.all()]

    fotos_list = Foto.objects.filter(experiencia=exp.id) 
    min_lat = min([ float(foto.latitude) for foto in fotos_list ])
    max_lat = max([ float(foto.latitude) for foto in fotos_list ])
    min_lng = min([ float(foto.longitude) for foto in fotos_list ])
    max_lng = max([ float(foto.longitude) for foto in fotos_list ])
    coords_centroid = { 'Lat':str((max_lat + min_lat)/2.0), 'Lng':str((max_lng + min_lng)/2.0) }

    return render(request, 'fechamento/index.html', locals())

def interaction(request, exp_id):
    exp = Experiencia.objects.get(pk=exp_id)
    fotos = Foto.objects.filter(experiencia=exp_id)

    return render(request, 'fechamento/tag_image.html', locals())

def statistic(request, exp_id):
    exp = Experiencia.objects.get(pk=exp_id)
    fotos_by_tag = { t.nome : Foto.objects.filter(experiencia=exp.id,tags=t.id) for t in exp.atividade.tema.tags.all() }

    # http://stackoverflow.com/questions/873327/pythons-most-efficient-way-to-choose-longest-string-in-list
    # Não está sendo usado, mas vale a pena deixar registrado o truque para saber qual a lista tem o maior tamanho. :)
    #number_of_fotos = len( max(fotos_by_tag.values(), key=len ) )  

    return render(request, 'fechamento/statistic.html', locals())

def gallery(request, exp_id):
    exp = Experiencia.objects.get(pk=exp_id)
    fotos = Foto.objects.filter(experiencia=exp_id)

    return render(request, 'fechamento/tag_gallery.html', locals())
