from django.contrib.auth.models import User
from rest_framework import serializers
from revelar.models import *



class TextoSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = Texto
        fields = ('id', 'titulo', 'conteudo')



class RegiaoSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = Regiao
        fields = ('id', 'nome', 'latitude', 'longitude', 'raio')



class TagSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = Tag
        fields = ('id', 'nome')



class TemaSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = Tema
        fields = ('id', 'texto', 'tags', 'regioes')



class AtividadeSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = Atividade
        fields = ('id', 'apelido', 'tema', 'tamanho_time', 'tags_sequenciais', 'tags_localizaveis', 'inclusao_usuario', 'tempo_total', 'tempo_participante', 'tempo_som', 'tags_selecionaveis', 'tags_por_foto', 'criterio_ordenacao', 'modo_verboso', 'url_experiencia', 'url_dinamica', 'participantes_set')



class UserSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = User
        fields = ('id', 'url', 'username', 'password', 'email', 'first_name', 'last_name')



class PessoaSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = Pessoa
        fields = ('id', 'user', 'tags')



class ParticipantesSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = Participantes
        fields = ('id', 'atividade', 'pessoas')


class ExperienciaSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = Experiencia
        fields = ('id', 'atividade', 'periodo_inicio', 'periodo_fim', 'status',
		  'time_set', 'foto_set')



class ExperienciaFinalizadaSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = Experiencia
        fields = ('id', 'atividade', 'periodo_inicio', 'periodo_fim', 'status',
		  'time_set', 'foto_set')
        depth = 2



class TimeSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = Time
        fields = ('id', 'nome', 'participantes', 'pessoas', 'experiencia')



class PeriodoPessoaSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = PeriodoPessoa
        fields = ('id', 'time', 'pessoa', 'data_inicio', 'data_fim')



class FotoSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = Foto
        fields = ('id', 'pessoa', 'data', 'latitude', 'longitude',
                  'experiencia', 'tags', 'imagem', 'som')
